## whatweb 0.4.9

=== Makefile ===
NAME = whatweb
PREFIX = /usr
BINPATH = $(PREFIX)/bin
LIBPATH = $(PREFIX)/share
MANPATH = $(PREFIX)/share/man
DOCPATH = $(PREFIX)/share/doc

install:
	# upgrade/installation will leave the my-plugins folder
	rm -Rf $(DESTDIR)$(BINPATH)/$(NAME) $(DESTDIR)$(MANPATH)/man1/$(NAME).1 $(DESTDIR)$(MANPATH)/man1/$(NAME).1.gz $(DESTDIR)$(DOCPATH)/$(NAME) $(DESTDIR)$(LIBPATH)/$(NAME)/plugins-disabled $(DESTDIR)$(LIBPATH)/$(NAME)/plugins $(DESTDIR)$(LIBPATH)/$(NAME)/lib $(DESTDIR)$(LIBPATH)/$(NAME)/plugin-development $(DESTDIR)$(LIBPATH)/$(NAME)/addons

	install -p -D -m 755 $(NAME) $(DESTDIR)$(BINPATH)/$(NAME)
	install -p -D -m 644 $(NAME).1 $(DESTDIR)$(MANPATH)/man1/$(NAME).1
	gzip -f $(DESTDIR)$(MANPATH)/man1/$(NAME).1
	install -d $(DESTDIR)$(LIBPATH)/$(NAME)
	install -d $(DESTDIR)$(DOCPATH)/$(NAME)
	cp -p -r my-plugins $(DESTDIR)$(LIBPATH)/$(NAME)/
	cp -p -r plugins-disabled plugins lib plugin-development addons $(DESTDIR)$(LIBPATH)/$(NAME)/
	cp -p -r CHANGELOG INSTALL LICENSE README whatweb.xsl $(DESTDIR)$(DOCPATH)/$(NAME)/

clean:
	# clean will remove your my-plugins folder. be warned
	rm -Rf $(DESTDIR)$(BINPATH)/$(NAME) $(DESTDIR)$(MANPATH)/man1/$(NAME).1 $(DESTDIR)$(MANPATH)/man1/$(NAME).1.gz $(DESTDIR)$(LIBPATH)/$(NAME) $(DESTDIR)$(DOCPATH)/$(NAME)

## whatweb 0.4.8~git20120606

=== debian/changelog ===
whatweb (0.4.8~git20120606-1) unstable; urgency=low

  * Default Ruby version switched to v1.9 , package git version which supports
    that (closes: #676333).
  * Fix other problems with my patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 06 Jun 2012 19:45:32 +0200

whatweb (0.4.7-1) unstable; urgency=low

  [ Guillaume Delacour ]
  * Initial release (Closes: #635065)

  [ Laszlo Boszormenyi (GCS) ]
  * Make the package lintian clean.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 04 Jun 2012 12:15:55 +0000

=== debian/control ===
Source: whatweb
Section: ruby
Priority: extra
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.3
Homepage: http://www.morningstarsecurity.com/research/whatweb
Vcs-Git: git://git.debian.org/collab-maint/whatweb.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/whatweb.git;a=summary

Package: whatweb
Architecture: all
Depends: ${misc:Depends}, ruby | ruby-interpreter
Recommends: ruby-json, ruby-rchardet
Description: Next generation web scanner
 WhatWeb identifies websites. It recognises web technologies including
 content management systems (CMS), blogging platforms, statistic/analytics
 packages, JavaScript libraries, web servers, and embedded devices.
 .
 WhatWeb has over 900 plugins, each to recognise something different.
 It also identifies version numbers, email addresses, account IDs,
 web framework modules, SQL errors, and more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTINATION = debian/whatweb

# override /usr default upstream location
override_dh_auto_build:
	dh_auto_build -- DESTDIR=$(DESTINATION)/usr

override_dh_install:
	dh_install

	# move my-plugins to /var/lib
	mkdir -p $(DESTINATION)/var/lib/whatweb
	mv $(DESTINATION)/usr/share/whatweb/my-plugins \
	$(DESTINATION)/var/lib/whatweb/

	rm -f $(DESTINATION)/usr/share/doc/whatweb/CHANGELOG
	rm -f $(DESTINATION)/usr/share/doc/whatweb/INSTALL
	rm -f $(DESTINATION)/usr/share/doc/whatweb/LICENSE

	# don't provide license for anemone as debian/copyright
	# mention MIT License
	rm -f $(DESTINATION)/usr/share/whatweb/lib/anemone/LICENSE

override_dh_auto_clean:
	dh_auto_clean -- DESTDIR=$(DESTINATION)/usr

%:
	dh $@

=== debian/watch ===
version=3
http://www.morningstarsecurity.com/research/whatweb \
/downloads/whatweb-(.*)\.tar\.gz

## whatweb 0.4.8~git20130516

=== debian/changelog ===
whatweb (0.4.8~git20130516-1) unstable; urgency=low

  * New git snapshot release.
  * Support Ruby 1.9.3 by default, drop patches.
  * Update Standards-Version to 3.9.4 .
  * Drop watch file, no support from upstream.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 19 Oct 2013 21:36:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: whatweb
 Section: ruby
 Priority: extra
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.morningstarsecurity.com/research/whatweb
 Vcs-Git: git://git.debian.org/collab-maint/whatweb.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/whatweb.git;a=summary
 
 Package: whatweb
 Architecture: all
-Depends: ${misc:Depends}, ruby | ruby-interpreter
+Depends: ${misc:Depends}, ruby (>= 1:1.8) | ruby-interpreter
 Recommends: ruby-json, ruby-rchardet
 Description: Next generation web scanner
  WhatWeb identifies websites. It recognises web technologies including

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,5 @@
 
 %:
 	dh $@ 
+
+.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_install

## whatweb 0.4.8~git20141014

=== debian/changelog ===
whatweb (0.4.8~git20141014-1) unstable; urgency=low

  * New git snapshot release:
      - works with Ruby 2.x (closes: #743269).
  * Update Standards-Version to 3.9.6 and debhelper level to 9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 14 Oct 2014 15:39:44 +0000

## whatweb 0.4.8~git20150507

=== debian/changelog ===
whatweb (0.4.8~git20150507-1) unstable; urgency=low

  * New git snapshot release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 May 2015 12:45:36 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: ruby
 Priority: extra
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
 Homepage: http://www.morningstarsecurity.com/research/whatweb
 Vcs-Git: git://git.debian.org/collab-maint/whatweb.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/whatweb.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-DESTINATION = debian/whatweb
+DESTINATION = $(CURDIR)/debian/whatweb
 
 # override /usr default upstream location
 override_dh_auto_build:
@@ -23,10 +23,15 @@
 	# mention MIT License
 	rm -f $(DESTINATION)/usr/share/whatweb/lib/anemone/LICENSE
 
+override_dh_fixperms:
+	chmod a+x $(DESTINATION)/usr/share/whatweb/addons/verify-nikto
+	dh_fixperms
+
 override_dh_auto_clean:
 	dh_auto_clean -- DESTDIR=$(DESTINATION)/usr
 
 %:
 	dh $@ 
 
-.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_install
+.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_install \
+	override_dh_fixperms

## whatweb 0.4.8~git20160428

=== debian/changelog ===
whatweb (0.4.8~git20160428-1) unstable; urgency=low

  * New git snapshot release.
  * Fix copyright file.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Apr 2016 17:04:04 +0000

## whatweb 0.4.8~git20160430

=== debian/changelog ===
whatweb (0.4.8~git20160430-1) unstable; urgency=low

  * New git snapshot release, fully support TLSv1.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Apr 2016 07:48:59 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.morningstarsecurity.com/research/whatweb
 Vcs-Git: git://git.debian.org/collab-maint/whatweb.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/whatweb.git;a=summary

## whatweb 0.4.8~git20160525

=== debian/changelog ===
whatweb (0.4.8~git20160525-1) unstable; urgency=low

  * New git snapshot release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 May 2016 13:08:17 +0000

## whatweb 0.4.8~git20161009

=== debian/changelog ===
whatweb (0.4.8~git20161009-1) unstable; urgency=low

  * New git snapshot release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 14 Nov 2016 17:04:40 +0000

## whatweb 0.4.9

=== debian/changelog ===
whatweb (0.4.9-2) unstable; urgency=medium

  * Patch OpenSSL usage for Ruby 2.5 version.
  * Disable Vcs-* fields for now.
  * Update Standards-Version to 4.1.3 .
  * Update debhelper level to 11 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 15 Mar 2018 20:57:35 +0000

whatweb (0.4.9-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.1:
    - change package priority to optional.
  * Update debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 23 Nov 2017 22:16:30 +0000

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,13 @@
 	# move my-plugins to /var/lib
 	mkdir -p $(DESTINATION)/var/lib/whatweb
 	mv $(DESTINATION)/usr/share/whatweb/my-plugins \
-	$(DESTINATION)/var/lib/whatweb/
+		$(DESTINATION)/var/lib/whatweb/
 
+	# fix env path
+	sed -i 's|!/bin|!/usr/bin|' \
+		$(DESTINATION)/usr/share/whatweb/lib/tld.rb
+
+	# remove extra documentation
 	rm -f $(DESTINATION)/usr/share/doc/whatweb/CHANGELOG
 	rm -f $(DESTINATION)/usr/share/doc/whatweb/INSTALL
 	rm -f $(DESTINATION)/usr/share/doc/whatweb/LICENSE
@@ -25,6 +30,7 @@
 
 override_dh_fixperms:
 	chmod a+x $(DESTINATION)/usr/share/whatweb/addons/verify-nikto
+	chmod a+x $(DESTINATION)/usr/share/whatweb/lib/tld.rb
 	dh_fixperms
 
 override_dh_auto_clean:

## whatweb 0.5.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,8 @@
 	install -d $(DESTDIR)$(DOCPATH)/$(NAME)
 	cp -p -r my-plugins $(DESTDIR)$(LIBPATH)/$(NAME)/
 	cp -p -r plugins-disabled plugins lib plugin-development addons $(DESTDIR)$(LIBPATH)/$(NAME)/
-	cp -p -r CHANGELOG INSTALL LICENSE README whatweb.xsl $(DESTDIR)$(DOCPATH)/$(NAME)/
+	cp -p -r CHANGELOG INSTALL LICENSE README.md whatweb.xsl $(DESTDIR)$(DOCPATH)/$(NAME)/
+	bundle install
 
 clean:
 	# clean will remove your my-plugins folder. be warned

=== debian/changelog ===
whatweb (0.5.0-1) unstable; urgency=medium

  * New upstream release (closes: #932723).
  * Rework packaging:
    - install with Ruby tools,
    - make section web (closes: #676324, #832262).
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 04 Oct 2019 16:16:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: whatweb
-Section: ruby
-Priority: extra
+Section: web
+Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), gem2deb, rake
+Standards-Version: 4.4.1
 Homepage: http://www.morningstarsecurity.com/research/whatweb
-Vcs-Git: git://git.debian.org/collab-maint/whatweb.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/whatweb.git;a=summary
+XS-Ruby-Versions: all
+#Vcs-Git: git://git.debian.org/collab-maint/whatweb.git
+#Vcs-Browser: http://git.debian.org/?p=collab-maint/whatweb.git;a=summary
 
 Package: whatweb
 Architecture: all
-Depends: ${misc:Depends}, ruby (>= 1:1.8) | ruby-interpreter
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ${misc:Depends}, ruby (>= 1:2.4) | ruby-interpreter, ruby-ipaddress, ruby-addressable
 Recommends: ruby-json, ruby-rchardet
 Description: Next generation web scanner
  WhatWeb identifies websites. It recognises web technologies including

## whatweb 0.5.1

=== Makefile ===
NAME = whatweb
PREFIX = /usr
BINPATH = $(PREFIX)/bin
LIBPATH = $(PREFIX)/share
MANPATH = $(PREFIX)/share/man
DOCPATH = $(PREFIX)/share/doc

ifeq "$(PLATFORM)" ""
PLATFORM := $(shell uname)
endif

ifeq "$(PLATFORM)" "Darwin"
INSTALLD =
PREFIX = /usr/local
else
INSTALLD = -D
endif

install:
	# upgrade/installation will leave the my-plugins folder
	rm -Rf $(DESTDIR)$(BINPATH)/$(NAME) $(DESTDIR)$(MANPATH)/man1/$(NAME).1 $(DESTDIR)$(MANPATH)/man1/$(NAME).1.gz $(DESTDIR)$(DOCPATH)/$(NAME) $(DESTDIR)$(LIBPATH)/$(NAME)/plugins-disabled $(DESTDIR)$(LIBPATH)/$(NAME)/plugins $(DESTDIR)$(LIBPATH)/$(NAME)/lib $(DESTDIR)$(LIBPATH)/$(NAME)/plugin-development $(DESTDIR)$(LIBPATH)/$(NAME)/addons

	install -p $(INSTALLD) -m 644 $(NAME).1 $(DESTDIR)$(MANPATH)/man1/$(NAME).1
	gzip -f $(DESTDIR)$(MANPATH)/man1/$(NAME).1
	install -d $(DESTDIR)$(LIBPATH)/$(NAME)
	install -d $(DESTDIR)$(DOCPATH)/$(NAME)

	# copy whatweb into LIBPATH/NAME/ and create a symbolic link in the BINPATH
	install -p $(INSTALLD) -m 755 $(NAME) $(DESTDIR)$(LIBPATH)/$(NAME)
	ln -s $(DESTDIR)$(LIBPATH)/$(NAME)/$(NAME) $(DESTDIR)$(BINPATH)/$(NAME)

	cp -p -r my-plugins $(DESTDIR)$(LIBPATH)/$(NAME)/
	cp -p -r plugins-disabled plugins lib plugin-development addons $(DESTDIR)$(LIBPATH)/$(NAME)/
	cp -p -r CHANGELOG.md INSTALL.md LICENSE README.md whatweb.xsl $(DESTDIR)$(DOCPATH)/$(NAME)/
	bundle install

clean:
	# clean will remove your my-plugins folder. be warned
	rm -Rf $(DESTDIR)$(BINPATH)/$(NAME) $(DESTDIR)$(MANPATH)/man1/$(NAME).1 $(DESTDIR)$(MANPATH)/man1/$(NAME).1.gz $(DESTDIR)$(LIBPATH)/$(NAME) $(DESTDIR)$(DOCPATH)/$(NAME)

=== debian/changelog ===
whatweb (0.5.1-2) unstable; urgency=medium

  * Backport upstream fix for warnings of "URI.escape is obsolete".

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 31 May 2020 12:13:24 +0200

whatweb (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.
  * Handle symlink to directory switch (closes: #945498).
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 29 Feb 2020 18:43:34 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), gem2deb, rake
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12), gem2deb, rake
+Standards-Version: 4.5.0
 Homepage: http://www.morningstarsecurity.com/research/whatweb
 XS-Ruby-Versions: all
 #Vcs-Git: git://git.debian.org/collab-maint/whatweb.git

## whatweb 0.5.2

=== Makefile ===
--- 
+++ 
@@ -24,10 +24,11 @@
 	gzip -f $(DESTDIR)$(MANPATH)/man1/$(NAME).1
 	install -d $(DESTDIR)$(LIBPATH)/$(NAME)
 	install -d $(DESTDIR)$(DOCPATH)/$(NAME)
+	install -d $(DESTDIR)$(BINPATH)
 
 	# copy whatweb into LIBPATH/NAME/ and create a symbolic link in the BINPATH
 	install -p $(INSTALLD) -m 755 $(NAME) $(DESTDIR)$(LIBPATH)/$(NAME)
-	ln -s $(DESTDIR)$(LIBPATH)/$(NAME)/$(NAME) $(DESTDIR)$(BINPATH)/$(NAME)
+	ln -s $(LIBPATH)/$(NAME)/$(NAME) $(DESTDIR)$(BINPATH)/$(NAME)
 
 	cp -p -r my-plugins $(DESTDIR)$(LIBPATH)/$(NAME)/
 	cp -p -r plugins-disabled plugins lib plugin-development addons $(DESTDIR)$(LIBPATH)/$(NAME)/

=== debian/changelog ===
whatweb (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Jun 2020 12:03:57 +0200

## whatweb 0.5.3

=== debian/changelog ===
whatweb (0.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 01 Oct 2020 17:55:03 +0200

## whatweb 0.5.4

=== debian/changelog ===
whatweb (0.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 14 Dec 2020 07:27:02 +0100

## whatweb 0.5.5

=== debian/changelog ===
whatweb (0.5.5-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata.
  * Add watch file.
  * Update packaging bits.
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 15 Jan 2021 20:47:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 12), gem2deb, rake
-Standards-Version: 4.5.0
-Homepage: http://www.morningstarsecurity.com/research/whatweb
+Standards-Version: 4.5.1
+Homepage: https://www.morningstarsecurity.com/research/whatweb
 XS-Ruby-Versions: all
-#Vcs-Git: git://git.debian.org/collab-maint/whatweb.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/whatweb.git;a=summary
+Rules-Requires-Root: no
 
 Package: whatweb
 Architecture: all

## whatweb 0.6.1

=== debian/changelog ===
whatweb (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Aug 2025 13:56:58 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/whatweb-$1\.tar\.gz/ \
  https://github.com/urbanadventurer/WhatWeb/tags .*/v?(\d\S+)@ARCHIVE_EXT@

## whatweb 0.6.2

=== debian/changelog ===
whatweb (0.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 25 Aug 2025 17:04:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: web
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12), gem2deb, rake
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), gem2deb, rake
+Standards-Version: 4.7.2
 Homepage: https://www.morningstarsecurity.com/research/whatweb
 XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: whatweb
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
-Depends: ${misc:Depends}, ruby (>= 1:2.4) | ruby-interpreter, ruby-ipaddress, ruby-addressable
+Depends: ${misc:Depends}, ruby, ruby-ipaddress, ruby-addressable
 Recommends: ruby-json, ruby-rchardet
 Description: Next generation web scanner
  WhatWeb identifies websites. It recognises web technologies including

## whatweb 0.6.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 NAME = whatweb
-PREFIX = /usr
+PREFIX ?= /usr
 BINPATH = $(PREFIX)/bin
 LIBPATH = $(PREFIX)/share
 MANPATH = $(PREFIX)/share/man
@@ -11,7 +11,7 @@
 
 ifeq "$(PLATFORM)" "Darwin"
 INSTALLD =
-PREFIX = /usr/local
+PREFIX ?= /usr/local
 else
 INSTALLD = -D
 endif
@@ -20,6 +20,7 @@
 	# upgrade/installation will leave the my-plugins folder
 	rm -Rf $(DESTDIR)$(BINPATH)/$(NAME) $(DESTDIR)$(MANPATH)/man1/$(NAME).1 $(DESTDIR)$(MANPATH)/man1/$(NAME).1.gz $(DESTDIR)$(DOCPATH)/$(NAME) $(DESTDIR)$(LIBPATH)/$(NAME)/plugins-disabled $(DESTDIR)$(LIBPATH)/$(NAME)/plugins $(DESTDIR)$(LIBPATH)/$(NAME)/lib $(DESTDIR)$(LIBPATH)/$(NAME)/plugin-development $(DESTDIR)$(LIBPATH)/$(NAME)/addons
 
+	install -d $(DESTDIR)$(MANPATH)/man1
 	install -p $(INSTALLD) -m 644 $(NAME).1 $(DESTDIR)$(MANPATH)/man1/$(NAME).1
 	gzip -f $(DESTDIR)$(MANPATH)/man1/$(NAME).1
 	install -d $(DESTDIR)$(LIBPATH)/$(NAME)

=== debian/changelog ===
whatweb (0.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Remove now redundant Rules-Requires-Root value.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Oct 2025 17:16:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Standards-Version: 4.7.2
 Homepage: https://www.morningstarsecurity.com/research/whatweb
 XS-Ruby-Versions: all
-Rules-Requires-Root: no
 
 Package: whatweb
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTINATION = $(CURDIR)/debian/whatweb

# override /usr default upstream location
override_dh_auto_build:
	dh_auto_build -- DESTDIR=$(DESTINATION)/usr

override_dh_install:
	dh_install

	# logging module private to WhatWeb
	mv -i $(DESTINATION)/usr/lib/ruby/vendor_ruby/logging* \
		$(DESTINATION)/usr/lib/ruby/vendor_ruby/whatweb/

%:
	dh $@ --buildsystem=ruby --with ruby

.PHONY: override_dh_auto_build override_dh_install

=== debian/watch ===
Version: 5

Template: Github
Owner: urbanadventurer
Project: WhatWeb
